/**
 * Copyright 2020 IBM Corp. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.opengroup.osdu.register.provider.ibm.action.datastore;

import org.opengroup.osdu.register.action.model.Action;


public class ActionDoc extends Action{
	private String _id;
    private String _rev;
    
    public ActionDoc(Action action) {
    	this._id=action.getId();
    	super.setName(action.getName());
    	super.setDescription(action.getDescription());
    	super.setUrl(action.getUrl());
    	super.setImg(action.getImg());
    	super.setContactEmail(action.getContactEmail());
    	super.setFilter(action.getFilter());
    	
    }

	public String get_id() {
		return _id;
	}

	public void set_id(String _id) {
		this._id = _id;
	}

	public String get_rev() {
		return _rev;
	}

	public void set_rev(String _rev) {
		this._rev = _rev;
	}
    
    public Action getAction() {
    	Action action=new Action();
    	action.setId(this.get_id());
    	action.setName(this.getName());
    	action.setDescription(this.getDescription());
    	action.setUrl(this.getUrl());
    	action.setImg(this.getImg());
    	action.setContactEmail(this.getContactEmail());
    	action.setFilter(this.getFilter());
    	return action;
    }

	@Override
	public String toString() {
		return "ActionDoc [_id=" + _id + ", _rev=" + _rev +", "+ getAction()+ "]";
	}
    
}
