/*
 * Copyright 2017-2020, Schlumberger
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.opengroup.osdu.register.ddms.model;

import com.reprezen.kaizen.oasparser.val.msg.Messages;

public enum ExtensionValidationMessages implements Messages {

    InvalidServers("Invalid servers field on open api spec, There must be one server only."),
    RetrievePathNotFound(String.format("There should be 1 operation with extension '%s'. This should be a GET method.", OpenApiExtensionNames.RETRIEVE_ENTITY)),
    InvalidRetrieveUri("The given operation to retrieve an entity is not valid. It should match the pattern 'mypath/{id}'");

    private final String formatString;

    ExtensionValidationMessages(String formatString) {
        this.formatString = formatString;
    }

    @Override
    public String getFormatString() {
        return formatString;
    }
}
