/* * Copyright 2020 IBM Corp. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.opengroup.osdu.register.util;

import com.google.common.base.Strings;
import org.apache.commons.lang.NullArgumentException;
import org.opengroup.osdu.core.ibm.util.IdentityClient;

public class IBMTestUtils extends TestUtils {

    @Override
    public synchronized String getOpsAccessToken() throws Exception {
        if (Strings.isNullOrEmpty(opsToken)) {
            opsToken=IdentityClient.getTokenForUserWithAccess();
           
        }
        return "Bearer " + opsToken;
    }

    @Override
    public synchronized String getAdmAccessToken() throws Exception {
        if (Strings.isNullOrEmpty(admToken)) {
            admToken = IdentityClient.getTokenForUserWithAccess();
           
        }
        return "Bearer " + admToken;
    }

    @Override
    public synchronized String getEditorAccessToken() throws Exception {
        if (Strings.isNullOrEmpty(editorToken)) {
            editorToken = IdentityClient.getTokenForUserWithAccess();
            
        }
        return "Bearer " + editorToken;
    }

    @Override
    public synchronized String getNoDataAccessToken() throws Exception {
        if (Strings.isNullOrEmpty(noAccessToken)) {
            noAccessToken = IdentityClient.getTokenForUserWithNoAccess();
        }
        return "Bearer " + noAccessToken;
    }


}
